Closed Bug 648338 Opened 9 years ago Closed 9 years ago

Remove Firefox 3.5/3.6 compat code

Categories

(Firefox :: Sync, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla5

People

(Reporter: philikon, Assigned: philikon)

References

Details

(Whiteboard: [prune][qa-])

Attachments

(5 files, 1 obsolete file)

Die m10r die
Assignee: nobody → philipp
Status: NEW → ASSIGNED
Attachment #524484 - Flags: review?(rnewman)
Attached patch Part 2: historySplinter Review
Attachment #524485 - Flags: review?(rnewman)
Attached patch Part 3: formsSplinter Review
Attachment #524486 - Flags: review?(rnewman)
Attached patch Part 4: misc (obsolete) — Splinter Review
Attachment #524487 - Flags: review?(rnewman)
Whiteboard: [prune]
Blocks: 636631
Attachment #524484 - Flags: review?(rnewman) → review+
Attachment #524485 - Flags: review?(rnewman) → review+
Attachment #524486 - Flags: review?(rnewman) → review+
Attachment #524487 - Flags: review?(rnewman) → review+
All of these look good, and pass CrossWeave.
Also get rid of the Svc.Crypto fallback code
Attachment #524487 - Attachment is obsolete: true
Attachment #524510 - Flags: review+
New patch coming soon.
Whiteboard: [prune][fixed in services] → [prune]
A little more cleanup. Tests pass.
Attachment #524533 - Flags: review?(philipp)
Comment on attachment 524533 [details] [diff] [review]
Part 5: PlacesUtils.jsm.

r+'ed like a g6
Attachment #524533 - Flags: review?(philipp) → review+
(In reply to comment #10)
> Comment on attachment 524533 [details] [diff] [review]
> Part 5: PlacesUtils.jsm.
> 
> r+'ed like a g6

Pushed:

https://hg.mozilla.org/services/services-central/rev/985bf12f7db3
Whiteboard: [prune] → [prune][fixed in services]
Whiteboard: [prune][fixed in services] → [prune][fixed in services][qa-]
What effect will this have? Which versions of Fx will be able to sync with each other?
(In reply to comment #13)
> What effect will this have?

This has no user visible effect.

> Which versions of Fx will be able to sync with each other?

You'll be able to sync Firefox 3.5/3.6 with the Sync 1.7 add-on, Firefox 4 and Firefox 5.
Depends on: 652666
Target Milestone: --- → mozilla5
Blocks: 599193
Component: Firefox Sync: Backend → Sync
Product: Cloud Services → Firefox
You need to log in before you can comment on or make changes to this bug.